{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.void_merchant_bob_cursed": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"attacking": "query.has_target"
						}
					],
					"animations": [
						"bob"
					],
					"blend_transition": 0.1
				},
				"attacking": {
					"transitions": [
						{
							"default": "!query.has_target"
						}
					],
					"animations": [
						"attack"
					],
					"blend_transition": 0.1
				}
			}
		},
		"controller.animation.void_merchant_melee_attack": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
						{
							"attack_rotations": "variable.attack_time>0"
						}
					],
					"blend_transition": 0.2
				},
				"attack_rotations": {
					"animations": [
						"attack.rotations"
					],
					"transitions": [
						{
							"default": "variable.attack_time<=0"
						}
					],
					"blend_transition": 0.2
				}
			}
		}
	}
}